<?php
/**
 * Glam Fashion Blog functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package Glam Fashion Blog
 */


if ( ! function_exists( 'glam_fashion_blog_support' ) ) :
	function glam_fashion_blog_support() {

		load_theme_textdomain( 'glam-fashion-blog', get_template_directory() . '/languages' );
		
		add_theme_support( 'html5', array(
			'comment-form',
			'comment-list',
			'gallery',
			'caption',
		) );

		add_theme_support( 'custom-background', apply_filters( 'glam_fashion_blog_custom_background', array(
            'default-color' => 'ffffff',
            'default-image' => '',
        )));
		
		add_theme_support( 'wp-block-styles' );

		add_editor_style( 'style.css' );

		define('GLAM_FASHION_BLOG_BUY_NOW',__('https://www.themescarts.com/products/solar-wordpress-theme/','glam-fashion-blog'));
		define('GLAM_FASHION_BLOG_FOOTER_BUY_NOW',__('https://www.themescarts.com/products/glam-fashion-blog/','glam-fashion-blog'));

	}
endif;
add_action( 'after_setup_theme', 'glam_fashion_blog_support' );

if ( ! function_exists( 'glam_fashion_blog_setup' ) ) :
	function glam_fashion_blog_setup() {
		add_theme_support( 'automatic-feed-links' );
		add_theme_support( 'align-wide' );
		add_theme_support( 'woocommerce' );
		add_theme_support( 'wp-block-styles' );
		add_theme_support(
			'custom-logo',
			array(
				'height'      => 192,
				'width'       => 192,
				'flex-width'  => true,
				'flex-height' => true,
			)
		);
		add_theme_support( 'block-nav-menus' );
		add_theme_support( 'experimental-link-color' );
		register_nav_menus(
			array(
				'primary' => __( 'Primary Navigation', 'glam-fashion-blog' ),
			)
		);
	}
endif;
add_action( 'after_setup_theme', 'glam_fashion_blog_setup' );

/**
 * Enqueue scripts and styles.
 */
function glam_fashion_blog_scripts() {

	$min  = defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ? '' : '.min';

	$theme_version = wp_get_theme()->get( 'Version' );

	$deps = array( 'dashicons' );
	global $wp_styles;
	if ( in_array( 'wc-blocks-vendors-style', $wp_styles->queue ) ) {
		$deps[] = 'wc-blocks-vendors-style';
	}

	wp_enqueue_style( 'glam-fashion-blog-style', get_stylesheet_uri(), $deps, date( 'Ymd-Gis', filemtime( get_theme_file_path( 'style.css' ) ) ) );

	$glam_fashion_enable_animations = get_option( 'glam_fashion_enable_animations', true );

    if ( $glam_fashion_enable_animations ) {
        //animation
		wp_enqueue_script( 'animate-js', get_theme_file_uri( '/js/animate.js' ), array( 'jquery' ), true );

		wp_enqueue_style( 'animate-css', get_template_directory_uri().'/css/animate.css' );
    }
	wp_style_add_data('glam-fashion-blog', 'rtl', 'replace');

	wp_enqueue_style( 'animatecss', get_template_directory_uri() . '/css/animate.css');

	wp_enqueue_style( 'fontawesome-style', esc_url(get_template_directory_uri()).'/css/fontawesome/css/all.css' );

	wp_enqueue_style( 'owl.carousel-css', get_template_directory_uri() . '/css/owl.carousel.css', array(),'2.3.4');

	wp_enqueue_script( 'wow-script', get_template_directory_uri() . '/js/wow.js', array('jquery'));

	wp_enqueue_script('glam-fashion-blog-main-script', get_template_directory_uri() . '/js/script.js', array('jquery'), GLAM_FASHION_BLOG_VERSION, true);

	wp_enqueue_script( 'owl.carousel-js', get_template_directory_uri() . '/js/owl.carousel.js', array('jquery'), '2.3.4', TRUE );

}
add_action( 'wp_enqueue_scripts', 'glam_fashion_blog_scripts' );

/**
 * Enqueue admin scripts and styles.
 */
function glam_fashion_blog_admin_scripts() {

	wp_enqueue_style(
		'glam-fashion-blog-admin-css',
		get_template_directory_uri() . '/notice-getstart/theme-info.css',
		[],
		wp_get_theme()->get( 'Version' )
	);

	// Enqueue JS
	wp_enqueue_script(
		'glam-fashion-blog-admin-js',
		get_template_directory_uri() . '/notice-getstart/theme-info.js',
		[],
		wp_get_theme()->get( 'Version' ),
		true // Load in footer
	);

}
add_action( 'admin_enqueue_scripts', 'glam_fashion_blog_admin_scripts' );

/**
 * Load core file.
 */
require_once get_template_directory() . '/core/init.php';

/**
 * TGM
 */
require_once get_template_directory() . '/core/tgm/tgm.php';

/** 
 * Customizer
 */
require get_template_directory() . '/core/section-pro/customizer.php';

/** 
 * Animation
 */

require get_template_directory() . '/animation-setting.php';

/**
 * Current theme path.
 * Current theme url.
 * Current theme version.
 * Current theme name.
 * Current theme option name.
 */
define( 'GLAM_FASHION_BLOG_PATH', trailingslashit( get_template_directory() ) );
define( 'GLAM_FASHION_BLOG_URL', trailingslashit( get_template_directory_uri() ) );
define( 'GLAM_FASHION_BLOG_VERSION', '1.0.0' );
define( 'GLAM_FASHION_BLOG_THEME_NAME', 'glam-fashion-blog' );
define( 'GLAM_FASHION_BLOG_OPTION_NAME', 'glam-fashion-blog' );

/**
 * The core theme class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require GLAM_FASHION_BLOG_PATH . 'notice-getstart/main.php';


/**
 * Begins execution of the theme.
 *
 * @since    1.0.0
 */
function glam_fashion_blog_run() {
	new Glam_Fashion_Blog();
}
glam_fashion_blog_run();
